Subject: bug#19865: tar-untar-buffer: should honor default-directory

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Jun 2019 19:55:59 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Ivan Shmakov <[email-masked]> writes:
>
>> Fix default-directory handling in tar-untar-buffer.
>>
>> * lisp/tar-mode.el (tar-untar-buffer): Fixed: use the value of
>> default-directory local to the tar-mode buffer (was:
>> tar-data-buffer); clean-up.
>>
>> Fixes: debbugs:19865
>>
>> PS.  Should the pending objections be resolved by sometime around
>> 	18:00 UTC today, I’d happily push the change to ‘master’.
>
> As far as I can tell, the patch was never applied?  It looks like a
> correct change to me...

That was three years ago, and now the patch didn't apply any more.

But I respun the change that Ivan had done and I've now applied it to
tar-mode.  I've tested that it now untars to the current directory (even
after M-x cd).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no